package com.dcsoft.system.vehicle.service.impl;

import java.util.List;

import com.dcsoft.system.vehicle.domain.CarParkRecord;
import com.dcsoft.system.vehicle.mapper.CarParkRecordMapper;
import com.dcsoft.system.vehicle.service.ICarParkRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 车辆授权Service业务层处理
 *
 * @author dcsoft
 * @date 2023-12-29
 */
@Service
public class CarParkRecordServiceImpl implements ICarParkRecordService
{
    @Autowired
    private CarParkRecordMapper carParkRecordMapper;

    /**
     * 查询车辆授权
     *
     * @param id 车辆授权主键
     * @return 车辆授权
     */
    @Override
    public CarParkRecord selectCarParkRecordById(Long id)
    {
        return carParkRecordMapper.selectCarParkRecordById(id);
    }

    /**
     * 查询车辆授权列表
     *
     * @param carParkRecord 车辆授权
     * @return 车辆授权
     */
    @Override
    public List<CarParkRecord> selectCarParkRecordList(CarParkRecord carParkRecord)
    {
        return carParkRecordMapper.selectCarParkRecordList(carParkRecord);
    }

    /**
     * 新增车辆授权
     *
     * @param carParkRecord 车辆授权
     * @return 结果
     */
    @Override
    public int insertCarParkRecord(CarParkRecord carParkRecord)
    {
        return carParkRecordMapper.insertCarParkRecord(carParkRecord);
    }

    /**
     * 修改车辆授权
     *
     * @param carParkRecord 车辆授权
     * @return 结果
     */
    @Override
    public int updateCarParkRecord(CarParkRecord carParkRecord)
    {
        return carParkRecordMapper.updateCarParkRecord(carParkRecord);
    }

    /**
     * 批量删除车辆授权
     *
     * @param ids 需要删除的车辆授权主键
     * @return 结果
     */
    @Override
    public int deleteCarParkRecordByIds(Long[] ids)
    {
        return carParkRecordMapper.deleteCarParkRecordByIds(ids);
    }

    /**
     * 删除车辆授权信息
     *
     * @param id 车辆授权主键
     * @return 结果
     */
    @Override
    public int deleteCarParkRecordById(Long id)
    {
        return carParkRecordMapper.deleteCarParkRecordById(id);
    }

    @Override
    public int deleteCarParkRecordByParkId(Long parkId) {
        return carParkRecordMapper.deleteCarParkRecordByParkId(parkId);
    }

    @Override
    public int deleteCarParkRecordByCustomerIds(Long[] ids)
    {
        return carParkRecordMapper.deleteCarParkRecordByCustomerIds(ids);
    }

    @Override
    public int deleteCarParkRecordByCustomerId(Long customerId) {
        return carParkRecordMapper.deleteCarParkRecordByCustomerId(customerId);
    }


}
